namespace FundamentalInterfaces;

class MySubscriber<T> : IObserver<T>
{
    public void OnNext(T value) => Console.WriteLine("Odebrano: " + value);
    public void OnCompleted() => Console.WriteLine("Zakończono");
    public void OnError(Exception ex) => Console.WriteLine("Błąd: " + ex);
}